tw.com.prolific.pl2303ghidsdk

## Enum GpioSetting.GpioPin

- java.lang.Object
- - java.lang.Enum<GpioSetting.GpioPin>
  - - tw.com.prolific.pl2303ghidsdk.GpioSetting.GpioPin

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GpioSetting.GpioPin>
  Enclosing class:
    GpioSetting

      public static enum GpioSetting.GpioPin
      extends java.lang.Enum<GpioSetting.GpioPin>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GPA0`
    `GPA1`
    `GPA2`
    `GPA3`
    `GPA4`
    `GPA5`
    `GPA6`
    `GPA7`
    `GPB0`
    `GPB1`
    `GPB2`
    `GPB3`
    `GPB4`
    `GPB5`
    `GPB6`
    `GPB7`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getHighByte()`
    `byte` | `getLowByte()`
    `int` | `getValue()`
    `static GpioSetting.GpioPin` | `valueOf(int nValue)`
    `static GpioSetting.GpioPin` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GpioSetting.GpioPin[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GPA0

          public static final GpioSetting.GpioPin GPA0

    - #### GPA1

          public static final GpioSetting.GpioPin GPA1

    - #### GPA2

          public static final GpioSetting.GpioPin GPA2

    - #### GPA3

          public static final GpioSetting.GpioPin GPA3

    - #### GPA4

          public static final GpioSetting.GpioPin GPA4

    - #### GPA5

          public static final GpioSetting.GpioPin GPA5

    - #### GPA6

          public static final GpioSetting.GpioPin GPA6

    - #### GPA7

          public static final GpioSetting.GpioPin GPA7

    - #### GPB0

          public static final GpioSetting.GpioPin GPB0

    - #### GPB1

          public static final GpioSetting.GpioPin GPB1

    - #### GPB2

          public static final GpioSetting.GpioPin GPB2

    - #### GPB3

          public static final GpioSetting.GpioPin GPB3

    - #### GPB4

          public static final GpioSetting.GpioPin GPB4

    - #### GPB5

          public static final GpioSetting.GpioPin GPB5

    - #### GPB6

          public static final GpioSetting.GpioPin GPB6

    - #### GPB7

          public static final GpioSetting.GpioPin GPB7

  - ### Method Detail

    - #### values

          public static GpioSetting.GpioPin[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GpioSetting.GpioPin c : GpioSetting.GpioPin.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GpioSetting.GpioPin valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static GpioSetting.GpioPin valueOf(int nValue)

    - #### getValue

          public int getValue()

    - #### getLowByte

          public byte getLowByte()

    - #### getHighByte

          public byte getHighByte()